# -*- coding: utf-8 -*-
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Main method to be used on linux."""

from dbus.mainloop.qt import DBusQtMainLoop
from PyQt4 import QtCore


def main(app):
    """Apply style sheet."""
    # The DBus main loop MUST be initialized before importing the reactor
    DBusQtMainLoop(set_as_default=True)

    # Apply Style Sheet -- The linux version may be different
    qss = QtCore.QResource(":/ubuntuone.qss")
    app.setStyleSheet(qss.data())
